Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class Sspi.SecBufferDesc

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.SecBufferDesc

Enclosing interface:
  Sspi

    public static class Sspi.SecBufferDesc

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.NativeLong` | `cBuffers` Number of buffers.
`Sspi.SecBuffer.ByReference[]` | `pBuffers` Pointer to array of buffers.
`com.sun.jna.NativeLong` | `ulVersion` Version number.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.SecBufferDesc()` Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.
`Sspi.SecBufferDesc(int type, byte[] token)` Create a new SecBufferDesc with initial data.
`Sspi.SecBufferDesc(int type, int tokenSize)` Create a new SecBufferDesc with one SecBuffer of a given type and size.

Method Summary
`byte[]` | `getBytes()`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ulVersion

    public com.sun.jna.NativeLong ulVersion

  Version number.

### cBuffers

    public com.sun.jna.NativeLong cBuffers

  Number of buffers.

### pBuffers

    public Sspi.SecBuffer.ByReference[] pBuffers

  Pointer to array of buffers.

Constructor Detail

### Sspi.SecBufferDesc

    public Sspi.SecBufferDesc()

  Create a new SecBufferDesc with one SECBUFFER_EMPTY buffer.

### Sspi.SecBufferDesc

    public Sspi.SecBufferDesc(int type,
                              byte[] token)

  Create a new SecBufferDesc with initial data.

  Parameters:
    `type` - Token type.
    `token` - Initial token data.

### Sspi.SecBufferDesc

    public Sspi.SecBufferDesc(int type,
                              int tokenSize)

  Create a new SecBufferDesc with one SecBuffer of a given type and size.

  Parameters:
    `type` -
    `tokenSize` -

Method Detail

### getBytes

    public byte[] getBytes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD